summaryrefslogtreecommitdiff
path: root/dev-python/sqlalchemy
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-03-31 13:48:10 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-03-31 13:48:10 +0000
commit24e99acb017162d840c056c0fecf68469c37394b (patch)
tree9fa5f39c25cc34f32a99772ccc63851bb2502ba5 /dev-python/sqlalchemy
parent3b88cd13911e2b228ec01205739ed307dbe4c209 (diff)
downloadbaldeagleos-repo-24e99acb017162d840c056c0fecf68469c37394b.tar.gz
baldeagleos-repo-24e99acb017162d840c056c0fecf68469c37394b.tar.xz
baldeagleos-repo-24e99acb017162d840c056c0fecf68469c37394b.zip
Adding metadata
Diffstat (limited to 'dev-python/sqlalchemy')
-rw-r--r--dev-python/sqlalchemy/Manifest2
-rw-r--r--dev-python/sqlalchemy/sqlalchemy-1.3.24.ebuild62
-rw-r--r--dev-python/sqlalchemy/sqlalchemy-1.4.4.ebuild66
3 files changed, 130 insertions, 0 deletions
diff --git a/dev-python/sqlalchemy/Manifest b/dev-python/sqlalchemy/Manifest
index 2297389173c3..77493d0cc6b3 100644
--- a/dev-python/sqlalchemy/Manifest
+++ b/dev-python/sqlalchemy/Manifest
@@ -3,7 +3,9 @@ DIST SQLAlchemy-1.3.20.tar.gz 6264898 BLAKE2B 4c386eff56c2f9ec7ef467e3bc00326295
DIST SQLAlchemy-1.3.21.tar.gz 6297278 BLAKE2B 39bd440eec25adc3ec81eaf55d2b97ecb328da4fd6e78dca17a94548a34336a8ef01a1dd0b4565794f4647d3bb4a98803873990c2e0df865216ed57fbe67ba1c SHA512 50ea60b849e6f043507728482dc1a90faea853c3fb16affe1d68197903578cb31f26b3543f4671be6aec2a705343193bfa7579e8d417e74c92ee104af4fba753
DIST SQLAlchemy-1.3.22.tar.gz 6300186 BLAKE2B 5b788ddadef0b68f440c5c7584320dd0a71d43e288febf0cb35c4683052be0f46174ac17b7c8b22ad0461f1e5f55ef5e6dbb149c49d727c3b42b49f48eb7589d SHA512 5e43af97dd93af8174f14575c8238a72153afa4dbe56503cf934de9f783ea15ad27b25523c147191bd2ec89e25baafab5f5d9c34a29f71eaf4e2de49af5bb887
DIST SQLAlchemy-1.3.23.tar.gz 6313652 BLAKE2B e87f67ee7ee70036b94e1708c1a59f58b1f8abad23aa26c74e2a9a2172bee5a6411b2be95bff0f1c6e39d3a0de0839adc6b43f4cde597a18d4cf930e4c37b11e SHA512 dcd1a0878fd58ee49691bb7e8a2571cb40cc942380a4fe0e66d3abb1723830f178e7b3944c5c2d69bd3aaff04cd2ca171bbabbe34f59f54bcf4b9ee2782f9570
+DIST SQLAlchemy-1.3.24.tar.gz 6353598 BLAKE2B 6eb92b20fa3412a1f1398e18e902e3338320973287afa4a37477ec28d47e7422a19c3a60e6290a6da7b23512c0d818a26400958d02097def778c917f098bb3db SHA512 4f5f0a23e80e1cebe541f8748a7e794e8964d986252803b3289a7cea732ad22557e00221775332e2766b6ff16ad5d9069223f441f8880ca6d0c47011f15fee5b
DIST SQLAlchemy-1.4.0.tar.gz 7440276 BLAKE2B dce64f2a5fe2b67be2a6d79680a774603005773ce93d0a03e6180b9bf7f3105a8b3bca88a2b4a3bcf15305a8271fc45a2bf22d9776ffa49c2d03c586095e7174 SHA512 03d66e96f3a1358b5e68e49ec47c3cfbd6daff86505d4dd7e9f65967f8566f1a55fa4b896dd95109e0c4dbd2684579e12c35bdeb7076d6c06af683b55736cd9e
DIST SQLAlchemy-1.4.1.tar.gz 7450731 BLAKE2B 9868347a3ccc3519fe31cfca41f318d0b0832aa301c7c91a073fd877f5c29289aa91008feb31096a62a939e70eded88ee21bfc586d09f68ebff4f48ef4e50c8e SHA512 8d2f84aa7edfec65a1f2286210c8728c39f1411da1b0cb6f60cf6345fc692646ae4f2a062b2e4b2f04fe9000678d682c939645f7affbe518821299ae129e8ea8
DIST SQLAlchemy-1.4.2.tar.gz 7464092 BLAKE2B dd4cf617a66ed4eba54e41ebaead189409e09e434bdfe8e6f71e2fd4bd9ea574acef8feb42290a3fe80f602d2de2160b075633449b0b543e44b44f0fc7c867bc SHA512 b436576d6c72d0ec285b926f5741b6bdba14fa959248be1c4bdcc8b87dfc512653e48fb2d356ab85d0e90a374c48de5311f43f4f3ce6cb64876e1316c6169423
DIST SQLAlchemy-1.4.3.tar.gz 7479656 BLAKE2B 543ba3f4655e516db82655b1b1814e06fb59e618e3a6d746749763139d9a6ce2cfa2d403cc0d48a80f7455bb4547077036973d5022f8298cfe0c95c5417df648 SHA512 cdb133b2feb480aa9d10f7e38d5c8342ceca327013a9cfea814887cc28eb544f79afc50a08d735195ad0130961429145ef0e641b17584ccb7aec6461cb9e7b15
+DIST SQLAlchemy-1.4.4.tar.gz 7486363 BLAKE2B 4472451e7e3d96c1887b3e896801f587009dc0d41d442790430407963e0e140995a18d2ff8698766245c3b884c6a4679f25d58dba5688ce18dea2ba5011e70ba SHA512 5543effc860e81e1a9c5ceca7ccd521411460ed9a950a33cd0f5c9df6a25eff2d2ef1b49b6e1b2630c2f46aeb09356a51d6152aa7de76d17d9c8aa77c89d479c
diff --git a/dev-python/sqlalchemy/sqlalchemy-1.3.24.ebuild b/dev-python/sqlalchemy/sqlalchemy-1.3.24.ebuild
new file mode 100644
index 000000000000..c8a5d3732d9e
--- /dev/null
+++ b/dev-python/sqlalchemy/sqlalchemy-1.3.24.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+PYTHON_REQ_USE="sqlite?"
+
+inherit distutils-r1 multiprocessing optfeature
+
+MY_PN="SQLAlchemy"
+MY_P="${MY_PN}-${PV/_beta/b}"
+
+DESCRIPTION="Python SQL toolkit and Object Relational Mapper"
+HOMEPAGE="https://www.sqlalchemy.org/ https://pypi.org/project/SQLAlchemy/"
+SRC_URI="mirror://pypi/${MY_P:0:1}/${MY_PN}/${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="examples +sqlite test"
+
+# Use pytest-xdist to speed up tests
+BDEPEND="
+ test? (
+ $(python_gen_impl_dep sqlite)
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ # Ported part of those commits to fix failing tests:
+ # https://github.com/sqlalchemy/sqlalchemy/commit/c68f9fb87868c45fcadcc942ce4a35f10ff2f7ea
+ # https://github.com/sqlalchemy/sqlalchemy/commit/a9b068ae564e5e775e312373088545b75aeaa1b0
+ # https://github.com/sqlalchemy/sqlalchemy/commit/9e31fc74089cf565df5f275d22eb8ae5414d6e45
+ "${FILESDIR}/sqlalchemy-1.3.20-pypy3.patch"
+)
+
+distutils_enable_tests pytest
+
+python_test() {
+ # Disable tests hardcoding function call counts specific to Python versions.
+ epytest --ignore test/aaa_profiling \
+ -n "$(makeopts_jobs "${MAKEOPTS}" "$(get_nproc)")"
+}
+
+python_install_all() {
+ if use examples; then
+ docompress -x "/usr/share/doc/${PF}/examples"
+ dodoc -r examples
+ fi
+
+ distutils-r1_python_install_all
+}
+
+pkg_postinst() {
+ optfeature "MySQL support" dev-python/mysqlclient dev-python/pymysql \
+ dev-python/mysql-connector-python
+ optfeature "mssql support" dev-python/pymssql
+ optfeature "postgresql support" dev-python/psycopg:2
+}
diff --git a/dev-python/sqlalchemy/sqlalchemy-1.4.4.ebuild b/dev-python/sqlalchemy/sqlalchemy-1.4.4.ebuild
new file mode 100644
index 000000000000..aa99618e929b
--- /dev/null
+++ b/dev-python/sqlalchemy/sqlalchemy-1.4.4.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+PYTHON_REQ_USE="sqlite?"
+
+inherit distutils-r1 multiprocessing optfeature
+
+MY_PN="SQLAlchemy"
+MY_P="${MY_PN}-${PV/_beta/b}"
+
+DESCRIPTION="Python SQL toolkit and Object Relational Mapper"
+HOMEPAGE="https://www.sqlalchemy.org/ https://pypi.org/project/SQLAlchemy/"
+SRC_URI="mirror://pypi/${MY_P:0:1}/${MY_PN}/${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="examples +sqlite test"
+
+RDEPEND="
+ $(python_gen_cond_dep '
+ dev-python/importlib_metadata[${PYTHON_USEDEP}]
+ ' python3_7 pypy3)
+"
+# Use pytest-xdist to speed up tests
+BDEPEND="
+ test? (
+ $(python_gen_impl_dep sqlite)
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # remove optional/partial dep on greenlet, greenlet is not very portable
+ sed -i -e '/greenlet/d' setup.cfg || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ # Disable tests hardcoding function call counts specific to Python versions.
+ epytest --ignore test/aaa_profiling \
+ -n "$(makeopts_jobs "${MAKEOPTS}" "$(get_nproc)")"
+}
+
+python_install_all() {
+ if use examples; then
+ docompress -x "/usr/share/doc/${PF}/examples"
+ dodoc -r examples
+ fi
+
+ distutils-r1_python_install_all
+}
+
+pkg_postinst() {
+ optfeature "MySQL support" dev-python/mysqlclient dev-python/pymysql \
+ dev-python/mysql-connector-python
+ optfeature "mssql support" dev-python/pymssql
+ optfeature "postgresql support" dev-python/psycopg:2
+}